<h1>Crear ficha medica</h1>
<form>
    <mat-form-field class="example-full-width">
        <mat-label>Pacientes</mat-label>
        <input type="text" placeholder="Seleccione Paciente" aria-label="Number" matInput [formControl]="myControl"
            [matAutocomplete]="auto">
        <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete">
            <mat-option *ngFor="let option of filteredOptions | async" [value]="option"
                (onSelectionChange)="updateMySelection(option)">
                {{option}}
            </mat-option>
        </mat-autocomplete>
    </mat-form-field>
    <br>
    <button *ngIf="!existeFicha" (click)="crearFicha()">Crear Ficha </button>
    <p style="color: red;">{{errorFicha}}</p>
    <button *ngIf="existeFicha && !agregando" (click)="agregar()">Crear Nuevo Detalle</button>
    <div *ngIf="agregando">
        <mat-form-field>
            <mat-label>Motivo</mat-label>
            <textarea matInput [(ngModel)]="ficha.motivo" [ngModelOptions]="{standalone: true}"></textarea>
        </mat-form-field>
        <mat-form-field>
            <mat-label>diagnostico</mat-label>
            <textarea matInput [(ngModel)]="ficha.diagnostico" [ngModelOptions]="{standalone: true}"></textarea>
        </mat-form-field>
        <mat-form-field>
            <mat-label>tratamiento</mat-label>
            <textarea matInput [(ngModel)]="ficha.tratamiento" [ngModelOptions]="{standalone: true}"></textarea>
        </mat-form-field>
        <br>

        <button mat-raised-button color="primary" (click)="crearDetalle()">guardar</button>
        <button mat-raised-button color="warn" (click)="cancelarAgregar()">cancelar</button>
    </div>
    <div *ngIf="existeDetalles">
        <h1>Historial Paciente</h1>
        <table mat-table [dataSource]="detalles" class="mat-elevation-z8">

            <ng-container matColumnDef="id_ficha">
                <th mat-header-cell *matHeaderCellDef> id_ficha </th>
                <td mat-cell *matCellDef="let element"> {{element.id_ficha}} </td>
            </ng-container>

            <ng-container matColumnDef="id_detalle">
                <th mat-header-cell *matHeaderCellDef> id_detalle </th>
                <td mat-cell *matCellDef="let element"> {{element.id_detalle}} </td>
            </ng-container>

            <ng-container matColumnDef="fecha_detalle">
                <th mat-header-cell *matHeaderCellDef> fecha_detalle </th>
                <td mat-cell *matCellDef="let element"> {{element.fecha_detalle}} </td>
            </ng-container>

            <ng-container matColumnDef="nombre_medico">
                <th mat-header-cell *matHeaderCellDef> nombre_medico </th>
                <td mat-cell *matCellDef="let element"> {{element.nombre_medico}} </td>
            </ng-container>
            <ng-container matColumnDef="apellido_medico">
                <th mat-header-cell *matHeaderCellDef> apellido_medico </th>
                <td mat-cell *matCellDef="let element"> {{element.apellido_medico}} </td>
            </ng-container>
            <ng-container matColumnDef="motivo">
                <th mat-header-cell *matHeaderCellDef> motivo </th>
                <td mat-cell *matCellDef="let element"> {{element.motivo}} </td>
            </ng-container>
            <ng-container matColumnDef="diagnostico">
                <th mat-header-cell *matHeaderCellDef> diagnostico </th>
                <td mat-cell *matCellDef="let element"> {{element.diagnostico}} </td>
            </ng-container>
            <ng-container matColumnDef="tratamiento">
                <th mat-header-cell *matHeaderCellDef> tratamiento </th>
                <td mat-cell *matCellDef="let element"> {{element.tratamiento}} </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
    </div>
</form>